Name:           hcache-server
Version:        1.0.0
Release:        1%{?dist}
Summary:        donghua software

License:        MIT
URL:            https://opencloudos.org
# 源文件，比如可执行文件等
Source0:        hcache-server

# 限制可执行文件的架构，比如只在x86架构上运行
ExclusiveArch:  x86_64

# 需要依赖的文件，比如需要依赖gcc
Requires:       gcc

# 提供的可执行文件
Provides:       /usr/bin/hcache-server

%description
ocai-agent is a terminal-based AI agent that allows users to access AI capabilities,
including natural language conversations, code generation, and command suggestions.
This makes it a powerful tool for streamlining workflows and increasing productivity.

%prep
#setup -q -n %{name}

%install
mkdir -p -m 755 %{buildroot}/usr/bin   # 创建目录
install -m 644 %{SOURCE0} %{buildroot}/usr/bin/  # 将可执行文件放入目录中

%post  
# 安装软件包之后可执行的配置
#source /etc/oc-not-found-install.sh

%files 
# 包含的文件
/usr/bin/hcache-server

%changelog
* Tue Mar 04 2025 Logan Li <loganlli@tencent.com> - 1.0.0-1
- desc

